Name:		task-xtreemos
Version:	0.2.0
Release:	%mkrel 14
Summary:	XtreemOS
License:	GPL
URL:		http://www.xtreemos.org/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Group:		System/Cluster
Requires:	task-xtreemos-resource task-xtreemos-coreservices
#Requires:	xtreemos_doc

%description
XtreemOS meta-package.

%package base
Summary:	XtreemOS base packages
Group:		System/Cluster
Requires:	xosconfig 
Requires:	xtreemos-nss-pam xtreemos-nss-pam-conf
Requires:	xtreemos-openssh-clients
Requires:	xos-amsd
Requires:	nss_xos
Requires:	drakxtools-curses drakxtools
Requires:	xosautoconfig
%description base
XtreemOS base packages.

%package coreservices
Summary:	XtreemOS Core Services node
Group:		System/Cluster
Requires:	task-xtreemos-resource
Requires:	dixi-aem-server
Requires:	volife
Requires:	dixi-vom-vops
Requires:	rootca-config
#FIXME: add oss
#Requires:	oss
Requires:       java-1.6.0-openjdk-devel
Requires:	kernel-xos-smp-latest
%description coreservices
XtreemOS core services node.

%package resource
Summary:	XtreemOS Resource node
Group:		System/Cluster
Requires:	task-xtreemos-client
#Requires:	xtreemfs-server
Requires:	xtreemrss dixi-aem-node
Requires:	xtreemos-openssh-server
Requires:	kernel-xos-smp-latest
%description resource
XtreemOS resource node.

%package client
Summary:	XtreemOS Client node
Group:		System/Cluster
Requires:	task-xtreemos-base
Requires:	xtreemrss
Requires:	xtreemfs-client
#FIXME: add xosaga packages
#Requires:	xosaga
Requires:	xos-blcr xos-blcr-modules xos-blcr-testsuite
Requires:	dixi-cxati
%description client
XtreemOS client node.

%package linuxssi
Summary:	XtreemOS LinuxSSI node
Group:		System/Cluster
Requires:	task-xtreemos-base
Requires:	linuxssi-liblinuxssi kernel-linuxssi-smp-latest
Requires:	linuxssi-utils
Conflicts:	libkerrighed
#Requires:	libkrg-drmaa-static-devel libkrg-drmaa-devel libkrg-drmaa0
#Requires:	krg-drmaa
%description linuxssi
XtreemOS LinuxSSI node.

%files

%files base

%files coreservices

%files resource

%files client

%files linuxssi

%changelog
* Thu Jul 29 2009 - aginies@mandriva.com
- remove xtreemfs-server requires for resource node
* Thu Jun 04 2009  - nvigier@mandriva.com
- add dependency on kernel-xos-latest in task-xtreemos-coreservices and
  task-xtreemos-resource packages
* Thu Jun 04 2009  - peter.linnell@irisa.fr
- add explicit dependency for dixi-vom-vops so xosd works
* Wed Jun 03 2009  - peter.linnell@irisa.fr
- add explicit dependency to prefer the openjdk
